<!DOCTYPE html>
<html>
    <head>
        <title>Tuấn's pages</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style>
            html,
            body {
                height: 100%;
                width: 100%;
                max-width: 1200px;
                margin-top: 0;
                margin-bottom: 0;
                margin-left: auto;
                margin-right: auto;
                display: flex; 
                flex-direction: row; 
                overflow: hidden
            }
            
            .navBar {
                margin: 0;
                padding: 0;
                width: 25%;
                height: 100%;
                max-width: 400px;
                min-width: 200px;
                background-color: #99ffee;
            }
            
            .mainFrame {
                flex-grow: 1; 
                border: none
            }
            
            ul {
                list-style-type: none;
                text-align: center;
                margin: 0;
                padding-top: 10%;
                padding-bottom: 10%;
                padding-left: 0;
                padding-right: 0;
                width: 100%;
                height: 100%;
                overflow: auto;
            }

            li a {
                display: block;
                color: #000;
                padding: 8px 16px;
                text-decoration: none;
            }
            
            li a:hover {
                background-color: #FF99AA;
                color: white;
            }
        </style>
    </head>
    <body>
        <div class="navBar" id="navBar">
            <div id="profilePicture" style="aspect-ratio: 1 / 1; width: 90%; margin: 5%; position: relative; overflow: hidden; border-radius: 50%;">
                <img style="display: inline; margin: 0 auto; height: 100%; width: auto" src="res/MIU_3077.jpg" alt="profilePicture" class="rounded">
            </div>
            
            <div id="shortInfo" style="text-align: center; margin: 5%">
                <b>Trần Nam Tuấn's Page</b><br>
                <b>ITITIU19230</b><br>
            </div>
            
            <ul>
                <li><a href="home.html" target="mainFrame">Home</a></li>
                <li><a href="projects.html" target="mainFrame">Projects</a></li>
                <li><a href="contact.html" target="mainFrame">Contact</a></li>
                <li><a href="about.html" target="mainFrame">About</a></li>
            </ul>
        </div>
        
        <iframe name="mainFrame" src="home.html" class="mainFrame"></iframe>
    </body>
</html>
